List records
curl --request POST \
--url https://api.getcargo.io/v1/storage/records/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromIngest": true,
"limit": 50,
"offset": 4503599627370495
}
'import requests
url = "https://api.getcargo.io/v1/storage/records/list"
payload = {
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromIngest": True,
"limit": 50,
"offset": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fromIngest: true,
limit: 50,
offset: 4503599627370495
})
};
fetch('https://api.getcargo.io/v1/storage/records/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{}
]
}Storage - Records
List records
List records for a model
POST
/
storage
/
records
/
list
List records
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Model identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$When true, returns records from ingest cache.
Maximum number of records to return.
Required range:
1 <= x <= 100Number of records to skip.
Required range:
0 <= x <= 9007199254740991Sorting options.
Show child attributes
Show child attributes
Response
Successful response
Listed records.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

